seahorse 42.0
-------------
 * pgp: Fix GPG version check [!197]
 * desktop: Add pgp,gpg to the description [!196]
 * search-provider: Don't escape result description as markup [!194]
 * gkr: Network label fixes [!193]
 * ssh: Fix CPU Usage Spike When Calling ssh-keygen [!136]
 * desktop: Add supported mime types to .desktop file [!189]
 * desktop: Mark application as adaptive [!190]
 * metainfo: Align app name with .desktop name [!186]
 * ui: Opt-in to color scheme user preference [!188]
 * Updated translations

seahorse 41.0
-------------
 * appdata: State hardware support
 * Updated translations

seahorse 41.beta
----------------
 * pgp: Redesign of the PGP key properties dialog [!177,!179,!183]
 * pgp: Also monitor .kbx in gpghomedir, making sure we get notified of new keys [!185,#171]
 * pgp: Start adding (basic) unit tests [!184]
 * pgp: Make pgp key id equality accept more values
 * pgp: Make HKP keyid check more robust
 * pgp: Fix expiration date for certain keys [!173,#327,#328]
 * pgp: Allow building with GnuPG-2.3.x [!170]
 * pgp: Fix segfault when built with LDAP disabled [!171,#321]
 * ui: Follow GNOME HIG more closely [!178]
 * ui: Datepicker now only pops down on double click [!175,#331]
 * gkr: Fix warnings for items with NULL labels [#266]
 * gkr: Don't show "Details" if no attributes are shown [!180]
 * appdata: Updated screenshot
 * Update README.md
 * Updated translations

seahorse 40.0
-------------
 * Fix paint issue when unlocking empty login keyring [#315,!153]
 * pgp: Properly fix keyserver registration [!151]
 * pgp: Add unit tests for PGP keyserver code [!167]
 * build: Unbreak build using vala 0.48.x [!162]
 * ci: Add minimal style checks to the CI [!168,!146]
 * Several code cleanups
 * Updated translations

seahorse 40.alpha
-----------------
 * Fix import dialog [!144,#235]
 * pgp: Add support for HKPS servers [!125]
 * pgp: Allow empty passphrase on key creation [!143,#161]
 * pgp: Fix expiry container disabled [#276]
 * gkr: Add icon for network passwords
 * ui: use libhandy list styling
 * deps: Bump to libhandy 1.1 and remove submodule [!149]
 * deps: Bump minimal supported version of gcr
 * deps: Bump minimal supported versions of gpg/gpgme
 * Updated translations

seahorse 3.38.0.1
-----------------
 * Fix detection of libhandy-1 [!142]

seahorse 3.38.0
---------------
 * Bump to libhandy1 [!141]
 * Updated translations

seahorse 3.37.2
---------------
 * build: Fix build for libhandy
 * ci: Several updates to the CI template
 * flatpak: Remove devel prefix
 * help: Several updates to the help pages [#272]
 * gkr: Allow copying password secret with right click [#229]
 * pgp: Don't show 'Indicate trust' before importing [#286]
 * ssh: Fix "allow remote access" [#149]
 * Updated translations

seahorse 3.37.1
---------------
 * Better keyboard navigation [!133]
 * Bump minimal GLib version to 2.58
 * Update README to point to discourse.gnome.org
 * pgp: Set input-purpose on relevant entries
 * Don't use wrongful mnemonic for Import [#263]
 * Several fixes to the help pages
 * Updated translations

seahorse 3.36.0
---------------
 * Add hyperlink for COPYING in README [!124]
 * meson: Validate appdata and desktop files [!123]
 * flatpak: Remove dconf workaround [!123]
 * flatpak: Remove libsoup [!123]
 * gkr: Try to guess the username [!122]
 * Updated translations

seahorse 3.35.91
----------------
 * ui: Add F10 shortcut for 'open menu' [!118]
 * ui: Remove ctrl+f1 shortcut [!118]
 * pgp: Allow exporting both public & secret key [#208]
 * pgp: Use gpgme_op_create_subkey() over gpgme_op_edit() [!115]
 * pgp: Port several dialogs to GtkTemplate [!121]
 * ssh: Small UI changes to KeyProperties [#222]
 * gkr: Try to display a username if available [!120]
 * gkr: Strip verbose 'Network secret for' prefix [!120]
 * gkr: Use "network-wired" icon for NM secret
 * common: Remove SeahorseObjectWidget [!116]
 * css: Fix a missing 'px' unit [!117]
 * meson: Use files() for source files
 * Updated translations

seahorse 3.35.90
---------------
 * a11y: Make sure import buttons have a mnemonic [#253]
 * ui: Add keyboard shortcuts window [!107]
 * ui: Take initials steps to provide an adaptive UI [!106]
 * ui: Remove "Show combined" option [!106]
 * ui: sidebar: Group by Passwords, Keys, Certificates [!109]
 * ui: sidebar: Don't show "System Trust" if empty [#252, !108]
 * ui: Use a GtkListBox instead of a GtkTreeView [!105]
 * ssh: Show the public key and add button to copy it [!99, !114]
 * pgp: Don't use short key IDs [!102]
 * build: fix most compiler warnings [!103, !104, !110]
 * build: simplify gpgme dependency, bump minimal version of Meson to 0.51 [!113]
 * Updated translations

seahorse 3.35.1
---------------
 * Replace GtkFileChooserDialog with GtkFileChooserNative
 * Add development profile
 * icon: Create a nightly app icon [!96]
 * pgp: Update documentation for exporting public keys [!98]
 * pgp: Fix segfault when deleting subkeys [#250]
 * pgp: Fix deadlock with trust-model tofu or tofu-pgp [#2]
 * Updated translations

seahorse 3.34.0
---------------
 * gkr: Fix use-after-free in password interaction [!90]
 * Add OARS Metadata tags
 * Cleanup flatpak manifest
 * gkr: Fix a build failure due to a GKR GIR breakage [gkr!19]
 * Depend on meson version >= 0.49
 * Fix a crash for some Epiphany passwords [#225]
 * Add mnemonics [#215]
 * ssh: Use Posix.Signal.TERM to unbreak building with valac <= 0.40 [!39]
 * Enable type-to-search [#218]
 * pgp: Fix a segfault when syncing GPG keys to an HKP server [#224]
 * gkr: Update user documentation for keyrings
 * Generate manpage from XML file [!73]
 * Implement GApplication.open() so we can import files from the command line [!72]
 * pgp: Fix build related to GPG(ME) versions [#217,#244]
 * Updated translations

seahorse 3.32.0
---------------
 * Fix regression: no more context menu in sidebar [!62]
 * gkr: Fix crash when renaming keyring [!70]
 * pgp: Don't use a custom person icon [!69]
 * gpgme: Don't use gpgme_op_edit for exporting or making a UID primary [!66]
 * Port more GSimpleAsyncResult to GTask [!67]
 * flatpak: fix network permissions [!65]
 * Updated translations

seahorse 3.31.91
---------------
 * Remove deprecated g_type_class_add_private [!60]
 * flatpak: Add dependencies for key sharing/importing [!59]
 * gkr: Recognize GNOME Web (Epiphany) passwords and adjust UI [!58]
 * gkr: Recognize user-specific Wi-Fi passwords [!58]
 * gkr: Use application icon for password of known installed app [!58]
 * gkr: Fix Chrome password recognition [!58]
 * gkr: Add password strength indicator when adding a new password [!55]
 * pgp: Always use gpgme_op_export_start when exporting [!56]
 * pgp: Cleanup the UI of the key properties dialog [!43,!45,!46]
 * Add an empty state indicator [!47]
 * Add <ctrl>f as an accelerator for the search bar [!44]
 * Start migration of GSimpleAsyncResult to GTask [!52]
 * Migrate some widget from SeahorseWidget to GtkTemplate [!50,!53,!54]

seahorse 3.31.1
---------------
 * Port most uses of Gtk.Action to GLib.Action [!38]
 * New app icon [!3]
 * Use a header bar [#95]
 * Updated password properties dialog [!28]
 * Updated SSH key properties dialog [!30]
 * Update view when new item is added [!22]
 * UI tweaks to the KeyManager list
 * pgp: small cleanups
 * Vala fixes [#206, !31]
 * Updated translations

seahorse 3.30.0
---------------
 * Fix no window when launched from .desktop [#192,!16]
 * Show active window if available on launch [!18]
 * Add debug logging for filtering
 * Make yelp documentation optional [!17]
 * Drop Continuous' configure script [!12]
 * Fix build on debian [#190]
 * Updated translations

seahorse 3.29.92
----------------
 * Add a Flatpak manifest and use it for CI purposes [#7]
 * gkr: fix segfault when trying to change default keyring password [#182]
 * Fix - Cannot delete multi-selected SSH keys [#105, !9]
 * pgp: Seahorse again correctly filters keys for signing [!11]
 * pgp: Search keys dialog now properly lists key servers again [!10]
 * Removed ChangeLog files in favor of NEWS file and git history
 * gkr: Fix lock/unlock button tooltip text in keyring properties [!5]
 * Get rid of SeahorseCollection in favor of Gcr.FilterCollection [#179]
 * More cleaning up of deprecated GTK+ stuff
 * Updated translations

seahorse 3.29.91
----------------
 * pgp: remove non-working Help button [#164]
 * gkr: Fix lock/unlock button in keyring properties [!4]
 * ssh: upload button didn't work
 * Clean up deprecated GTK+ stuff
 * Use header bars more consistently
 * Implement more widgets using GtkTemplates
 * Updated translations

seahorse 3.29.90
----------------
 * pgp: don't use unsupported "stock_calendar" as icon name [bgo#757237]
 * pgp: add hint when 'Full name' is not long enough [bgo#395805]
 * Update README.md with GitLab links and more
 * Add previously implicit gio-unix dependency to meson.build [#8]
 * Several small documentation fixes [!1,!2]
 * Better decoupling of the sources in src and lib
 * Require GTK+ >= 3.22
 * gkr: ask for confirmation when saving changes [bgo#712348]
 * Updated AboutDialog [bgo#609418]
 * ssh: modify the key length options based on the type of encryption
 * ssh: add basic support for ECDSA and ED25519 keys [bgo#754028]
 * GTK: remove most uses of Gtk.Stock, use more GtkTemplates
 * Migrated from autotools to Meson [bgo#788453]
 * SSH support is now mandatory
 * Continue the Vala migration, several Vala fixes [bgo#777546,#779948,#785849]
 * Migrated from intltool to gettext
 * Updated doap file
 * gpg: Ignore KEY_CONSIDERED line introduced in gpg 2.1.13 [bgo#778607]
 * gkr: Don't update key description if it doesn't change [bgo#777802]
 * Use Unicode in translations [bgo#772532]
 * Updated translations

seahorse 3.20.0
---------------
 * Updated translations
 * Update AppData spec file

seahorse 3.19.4
---------------
 * Build fixes [#758472]
 * Updated translations

seahorse 3.18.0
---------------
 * Use the application name in the software center
 * Updated translations

seahorse 3.17.4
---------------

 * Avoid binding seahorse to the build-time version of GnuPG [#750468]
 * Fix seahorse shell search provider [#704619]
 * Use GResource to load UI resources [#752516]
 * Build fixes [#744503] [#752990]
 * Updated translations

seahorse 3.16.0
---------------

 * Provide a symbolic variant of the app icon [#747244]
 * Updated translations

seahorse 3.15.92
----------------

 * Don't use deprecated GtkArrow [#744195]
 * Updated translations

seahorse 3.15.90
----------------

 * Refactoring and revamping help files
 * Work around for breakage with gnupg2
 * Fix invalid UI files [#740138]
 * Don't hide GtkBuilder errors [#740138]
 * Updated translations

seahorse 3.14.0
---------------

 * Fix crash in search provider [#733957]
 * Display 'Certify' and 'Authenticate' names for GPG key flags [#733920]
 * Prettify fingerprint downloaded from key server [#719872]
 * When searching for keys request full fingerprint [#719872]
 * Show whether subkeys can be used for signing/encryption [#730044]
 * Remove incorrect tooltip from 'New Keyring' dialog [#733399]
 * Updated translations
 * Build fixes [#732396, ...]

seahorse 3.12.2
---------------

 * Allow scrolled windows to grow when properties window resized [#727850]
 * Don't open keyserver results behind main seahorse window [#727926]
 * Prettify fingerprints in a smarter way [#719872]
 * Documentation fixes
 * Updated translations
 * Build fixes [#725728]

seahorse 3.12.0
---------------

 * New help pages from the malard documentation project
 * Updated translations
 * Build fixes

seahorse 3.11.92
----------------

 * Updated translations

seahorse 3.11.91
----------------

 * Fix SSH key generation [#715051]
 * Fix pgp/ssh key export [#707014]
 * Fix segfault in the search provider code [#724659]
 * Port some more seahorse code to vala code
 * Build fixes. No libtool [#722023 #712538 #712538 ...]
 * Non-recursive Makefile
 * Updated FSF's address
 * Add AppData file
 * Updated translations

seahorse 3.10.1
---------------

 * Fix generate-select dialog for GTK+ changes [#703825]
 * Try to make as many password dialogs transient as possible
 * Updated translations
 * Build fixes [#708827, #710069]

seahorse 3.10.0
---------------

 * Translation fixes [#707420]
 * Updated translations

seahorse 3.9.91
---------------

 * Documentation fixes [#707135]
 * Updated translations

seahorse 3.9.90
---------------

 * Show the sidebar by default [#705592]
 * ssh: Bump the minimum key size to 768 bits [#705561]
 * Add "DesktopSettings;X-XFCE-SettingsDialog;" to .desktop categories [#704981]
 * pgp: Put the 'Comment' field in the advanced section of PGP key gen [#703766]
 * Only permit import from clipboard when data is available [#703394]
 * soup: use the SoupProxyResolverDefault feature [#682495]
 * pgp: Fix uninitialized memory access
 * Port some of seahorse to vala code
 * Build fixes [#702602, #699147, ...]
 * Translation fixes [#699116, ...]
 * Updated translations

seahorse 3.9.1
--------------

 * Add a shell search provider for passwords and keys [#694606]
 * Start using vala for internal interfaces
 * Updated interfaces [cz el ml es]
 * Build fixes

seahorse 3.8.1
--------------

 * Updated translations

seahorse 3.8.0
--------------

 * Updated translations
 * Translation fixes

seahorse 3.7.92
---------------

 * Updated translations
 * Build fixes

seahorse 3.7.91
---------------

 * Don't show preferences when no preferences are available [#694678]
 * Don't conflict with seahorse-daemon DBus name [#694053]
 * Updated translations [el lt vi ru cs pa fr pl sr ml gl]
 * Fix command line options parsing [#686980]
 * Build fixes

seahorse 3.7.5
--------------

 * Added keywords to .desktop file
 * Updated translation
 * Build fixes

seahorse 3.7.2
--------------

 * Build fixes

seahorse 3.7.1
--------------

 * Fix problem where keyring items overwrite one another
 * Correct capitalization of ElGamal
 * Build fixes

seahorse 3.6.3
--------------

 * Display item labels even if they don't match formatters
 * Fix crashers
 * Updated translations

seahorse 3.6.2
--------------

 * Fix problem where keyring items overwrite one another

seahorse 3.6.1
--------------

 * Strip DBus errors before displaying them
 * Fix regression for changing a keyring master password
 * Updated translations

seahorse 3.6.0
--------------

 * Updated translations

seahorse 3.5.92
---------------

 * Port to new documentation infrastructure
 * Updated translations

seahorse 3.5.91
---------------

 * Updated translations

seahorse 3.5.90
---------------

 * Updated translations

seahorse 3.5.4
--------------

 * No keyring UI bits if failed to connect to Secret Service
 * When Ctrl-F pressed in the main window, focus the filter box
 * Add suggestion to generate entropy while generating a key
 * Use libsecret instead of libgnome-keyring
 * Use GcrSecureEntryBuffer and remove duplicate code.
 * Align keyids with name/signatures in key properties.
 * Unavailable entries were displayed incorrectly for signatures
 * Fix icon sizes
 * Remove unused code
 * Migrate to GtkApplication
 * Other bug fixes
 * Updated translations
 * Build fixes

seahorse 3.4.1
--------------

 * Fix crash during failed HKP exports
 * Fix memory errors when searching for keys
 * Updated translations
 * Build fixes

seahorse 3.4.0
--------------

 * Updated translations

seahorse 3.3.92
---------------

 * Fix warning cancelling the signing dialog
 * If multiple keys with some label in signer list, add hex keyid
 * Updated translations, and fixes
 * Build fixes

seahorse 3.3.91
---------------
 * Fix regression of configure ssh keys
 * Fix line on top of the sidebar
 * Updated translations

seahorse 3.3.5
--------------

 * Maximum and minimum sidebar pane position
 * Fix icons for filter entry
 * Fix uninitialized memory usage
 * Clearer wording for various keyrings
 * Updated translations
 * Build fixes

seahorse 3.3.4
--------------

 * Remove limitation of max keyring item description characters
 * Updated translations
 * Build fixes

seahorse 3.3.3
--------------

 * Support for PKCS#11 key generation
 * Support for creating certificate requests
 * Certificate actions happen from certificate window.
 * Reimplement export functionality
 * Refactor deletion, unlocking, refreshing, and showing properties
 * Add way to lookup places, and refresh appropriate place after import
 * Fixes for glib 2.31.x deprecations
 * Fix bugs, build issues, translations

seahorse 3.3.2
--------------

 * Refactoring of how actions work
 * Add ability to lock and unlock places from the sidebar
 * Implement login to smart cards and PKCS#11 tokens
 * Remove experimental check selection on sidebar
 * Listing of private keys on smart cards and PKCS#11 tokens
 * Showing matching keys and certificates together, in listing and properties
 * Translation, build fixes
 * Don't crash if gpg or gpg2 don't run correctly.
 * Fix problems editing PGP key servers
 * Don't load key signatures unless showing key properties
 * Updated translations

seahorse 3.3.1.1
----------------

 * Fix build issues when pgp, ssh, or pkcs11 backends are disabled
 * Updated translations

seahorse 3.3.1
--------------

 * Major refactoring of look and behavior of seahorse
 * Passwords, keys, certs are displayed together in the main window
 * Places sidebar, which can be shown, to access where various objects come from
 * Asynchronously initialize PKCS#11 modules
 * Use the new importer infrastructure in libgcr
 * Blacklist certain PKCS#11 tokens from showing up in seahorse
 * Code cleanup and refactoring
 * Build, translation fixes
 * Updated translations

seahorse 3.2.2
--------------

 * Don't load PGP signatures unless showing key properties
 * Fix crash, issues adding key servers
 * With gpg2 key loading takes longer, so adjust behavior
 * Updated translations
 * Build fixes

seahorse 3.2.1
--------------

 * Updated translations

seahorse 3.2.0
--------------

 * Fix DNS-SD key sharing crasher and make compatible with seahorse-sharing
 * Removed unused spec file
 * Updated translations

seahorse 3.1.92
---------------

 * Fix the SSH password prompting and uploading of keys
 * Fix behavior of password prompts when enter is pressed
 * Fix GtkComboText GTK+3 problems
 * Fix crasher when closing
 * Build and documentation fixes
 * Updated translations

seahorse 3.1.91
---------------

 * Fix up for recent GTK+3 changes.
 * Code cleanup, removing unused code.
 * Remove old GTK+2 code that was missed earlier.
 * Updated translations

seahorse 3.1.90
---------------
 * Change application name to shorter 'Passwords and Keys'
 * Fix drop downs in key generation dialogs
 * Don't distribute internal libseahorse documentation
 * Match changes in libgck and libgcr
 * Remove old operation code, and replace with newer gio style async
 * Remove unused code and cleanup
 * Port to GSettings (instead of using GConf)
 * Add Glib style debug messages, activated with SEAHORSE_DEBUG=all
 * Translation and build fixes

seahorse 3.1.4
--------------

 * Create new keyring items in the right keyring.
 * Remove dependency on GTK+ 2.x
 * Split out libcryptui into its own module.

seahorse 3.1.1
--------------

 * Fix up use of GcrCertificate
 * Translations and translation fixes.
 * Build fixes.
 * Use pool.sks-keyservers.net instead of pgp.mit.edu

seahorse 3.0.1
--------------

 * Now builds with GTK+ 3.x by default
 * Fix build issues on GTK+ 3.x
 * Fix problem importing SSH keys.
 * Translations updated

seahorse 3.0.0
--------------

 * Translations updated

seahorse 2.91.93
----------------

 * Set the primary-toolbar style class on the toolbar [Cosimo Cecchi]

seahorse 2.91.92
----------------

 * About dialog is transient for main window. [Cosimo Cecchi]
 * When changing a PGP key's passpharse, ask for confirmation.
 * Fix crash in SSH key parsing.
 * Update icons [Jakub Steiner]
 * Build fixes

seahorse 2.91.91
----------------

 * Fix infinute loop when a keyring item is open.
 * Don't display underlines as keys for a PGP uid.
 * Escape keyring attribute names properly.
 * Add context to translatable strings.

seahorse 2.91.4
---------------

 * Update to work with GTK+3 [Matthias Clasen]
 * Fix build issues with GCR updates [Stef Walter]
 * More info when --version is specified [Pablo Castellano]
 * Fix setting key trust to "never" [nobled]
 * Define default key length for each algorithm [nobled]
 * Show information when you sign an UID twice... [Pablo Castellano]

seahorse 2.91.2
---------------

    * Escape markup when displaying keyring item attributes [Stef Walter]
    * Fixes for new GTK+3 GtkComboText class and libnotify [Stef Walter]

seahorse 2.91.1.1
-----------------

    * Fix build with libnotify 0.7 [Stef Walter]
    * Migrate to new GtkComboBoxText widget in GTK3 [Matthias Clasen]
    * Fix build issues on gtk+-3.0 [Tomas Bzatek]
    * Build with latest gcr [Martin Paljak]
    * Add icons and clear action to the filter entry [Diego Escalante Urrelo]
    * Avoid hard-coding Gtk+ API version in gir generation [Andreas Henriksson]

seahorse 2.91.1
---------------

    * Migration to GTK+ 3.0 [Stef Walter]
    * Fix compiler warnings.
    * Use new gck library instead of old gp11. [Stef Walter]

seahorse 2.91.0
---------------

    * Move DNS-SD key sharing to separate project [Stef Walter]

seahorse 2.32.0
---------------

    * Make builds silent by default [Stef Walter]

seahorse 2.31.91
----------------

    * Documentation [Thorsten Sick]
    * Use GDK accessor functions [Adam Schreiber]
    * Use smaller icons in "new" dialog [Adam Schreiber]
    * Build fixes [Adam Schreiber, Pablo Castellano, Matthias Ferdinand]

seahorse 2.30.1
---------------

    * Fixes all but one issue for compiling with -DGSEAL_ENABLE. [Andre Klapper]
    * Remove deprecated GTK+ symbol [Javier Jardón]
    
    Translations:
    * Catalan [Jordi Serratosa]
    * Catalan (Valencian) [Carles Ferrando]
    * Indonesian [Andika Triwidada]
    * Latvian [Peteris Krisjanis]
    * Spanish [Jorge González]


seahorse 2.30.0
---------------

    * Source Documentation [Thorsten Sick]

    Translations:    
    * Bengali [Jamil Ahmed]
    * Basque [Inaki Larranaga Murgoitio]
    * Brazilian Portuguese [Antonio Fernandes C. Neto]
    * British English [Bruce Cowan]
    * Bulgarian [Alexander Shopov]
    * Catalan [Gil Forcada]
    * Czech [Marek Černocký]
    * Danish [Ask H. Larsen]
    * Dutch [Wouter Bolsterlee]
    * Finnish [Tommi Vainikainen]
    * Greek [Nikos Bakaoukas, Simos Xenitellis]
    * Hungarian [Gabor Kelemen]
    * Korean [Changwoo Ryu]
    * Latvian [Peteris Krisjanis]
    * Lithuanian [Gintautas Miliauskas]
    * Polish [Piotr Drąg]
    * Portuguese [Duarte Loreto]
    * Punjabi [A S Alam]
    * Russian [Leonid Kanter]
    * Serbian [Branko Kokanović]
    * Swedish [Daniel Nylander]
    * Ukrainian [Maxim V. Dziumanenko]

seahorse 2.29.91
----------------

    * Change default key lengths for subkey generation. [Adam Schreiber]
    * Remove unused variables [Pablo Castellano]
    * Revoking subkey now works again. Also minor documentation changes. [Pablo Castellano]
    * Don't show the passphrase in plaintext. [Pablo Castellano]
    * Check the OpenPGP engine only [nobled]
    * Fixed wrong variable names in comments [Pablo Castellano]
    * Clean up version constants [nobled]
    * Fixed two warnings at compile time [Pablo Castellano]
    * Unescape URI's before presenting them to the user. [Adam Schreiber]
    * Updated year in the copyright string of the about dialog [Pablo Castellano]
    * Fixed incorrect signal name [Pablo Castellano]
    * Fixed bug in the public key properties GUI. [Pablo Castellano]
    
    Translations:
    * Basque [Inaki Larranaga Murgoitio]
    * Estonian [Ivar Smolin]
    * French [Bruno Brouard]
    * Galician [Fran Diéguez]
    * Italian [Milo Casagrande]
    * Norwegian bokmål [Kjartan Maraas]
    * Romanian [Lucian Adrian Grijincu]
    * Slovenian [Matej Urbančič]
    * Tamil [vasudeven]
    * Traditional Chinese (Hong Kong and Taiwan) [Chao-Hsiung Liao]
    

seahorse 2.29.90
----------------

    * pgp: Make subkey creation more robust [nobled]
    * Drop daemon autostart file [Martin Pitt]
    * Update eggdesktopfile.[ch] from libegg/smclient [Adam Schreiber]    
    * Various fixes [Christian Kirbach]

    Translations:
    * Bengali [Jamil Ahmed]
    * Estonian [Ivar Smolin]
    * German [Christian Kirbach, Mario Blättermann]
    * Slovenian [Matej Urbančič]
    * Spanish [Jorge González]
    * Thai [Theppitak Karoonboonyanan]

seahorse 2.29.4
---------------

    * Experimental support for introspection of libcryptui [Adam Schreiber]
    * Full documentation for seahorse-context.c [Thorsten Sick]
    * Do not use fixed MAXPATHLEN size buffers for portability [Emilio Pozuelo
      Monfort]
    * Add seahorse man page [Pablo Castellano]
    * Fix build with latest gp11 [Vincent Untz]

    Translations:
    * Romanian [Adi Roiban]
    * Chinese [Tao Wei]

seahorse 2.29.3
---------------

    * Set default key length to 2048 bits [Adam Schreiber]
    * Generate RSA-sign/RSA-encrypt key in one pass [nobled]
    * Support GPG 2.0 [Jeff Cai]
    * Fix window signals [Pablo Castellano]
    * GTK-doc comments [Thorsten Sick]
    * SSH Key importing fix [Jeff Cai]

    Translations:
    * Romanian [Adi Roiban]
    * Shavian [Thomas Thurman]
    * Latvian [Peteris Krisjanis]
    * Catalan [Carles Ferrando]
    * Japanese [Takayuki KUSANO]

seahorse 2.29.1
---------------

    * None

seahorse 2.28.1
---------------

    * Prevent opening help window twice. [Pablo Castellano]
    * Set bits setting properly when creating SSH key. [Stef Walter]
    * Add support for GnuPG DSA2 keys. [nobled]
    * Fix subkey creation on newer GnuPG versions [nobled]
    * Fix location label in SSH key properties. [Stef Walter]
    * Fix assertion on exit. [Stef Walter]
    * Fix pasting into filter field. [Adam Schreiber]
    * Set key usage flags properly. [nobled]
    * Fix property bindings. [Bastien Nocera]
    * Internal documentation. [Thorsten Sick]
    * Translation fixes. [Stef Walter]
    * Build fixes. [Stef Walter]

seahorse 2.28.0
---------------

    * void function should not return a value. [Jeff Cai]

seahorse 2.27.92
----------------

    * Include config.h to avoid build breakage when gpgme is 
      compiled with LFS [Vincent Untz]
    * Fix problems with gtk-builder UI files. [Pablo Castellano]
    * Fix problem with 'Type:' label of SSH key displaying 
      location. [Stef Walter]
    * Update context menu display after keyring op. [Stef Walter]
    * Fix more compiler warnings. [Stef Walter, Pablo Castellano]
    * Optionally use silent automake build rules. [Pablo Castellano]
    * Clean up old libglade and CVS files. [Pablo Castellano]
    * Respect the button-images setting, and cleanup gtkbuilder 
      xml. [Matthias Clasen]
    * Add keyring docs. [Paul Cutler]
    * Lots of documentation work. [Adam Schreiber, Thorsten Sick]

seahorse 2.27.90
----------------

    * Fix problem with missing password tab.

seahorse 2.27.5
---------------

    * Fix logic for setting owner trust combo.
    * More Code and API documentation.
    * Old result in search dialog is selected.
    * seahorse-daemon should autostart by default
    * Add a --version parameter to seahorse.
    * No longer daemonizes when autostarted by D-Bus.
    * Gray out displayed non-trusted keys.
    * Remove the 'trusted keys' tab and combine with 'other keys'.
    * Use GtkBuilder instead of libglade.
    * Add support for adding manual keyring secrets.
    * Move password tab to first place.
    * Remove unportable test(1) construct in configure script.

seahorse 2.27.1
---------------

    * Distribute earlier ChangeLogs [Adam Schreiber]
    * Fix importing context menus in search dialogs [Adam Schreiber]

    Translations
    * Spanish [Jorge Gonzalez Gonzalez]
    * Catalan [Jordi Mas i Hernandez]
    * Estonian [Ivar Smolin]
    * Ukrainian [Maxim V. Dziumanenko]
    
seahorse 2.26.1
---------------

    * PGP UIDs display in order reported by key server, and fix 
      parsing of HKP PGP search UIDs. [Adam Schreiber]
    * Fix problem opening preferences window twice. [Adam Schreiber]
    * Set authorized_keys properly when sending SSH keys to a 
      remote system. [Andreas Moog, Stef Walter]
    * Fix crash when entering hkp: url manually. [Stef Walter]

seahorse 2.26.0
---------------

    * Fix cancel button in 'Add keyring' dialog. [Stef Walter]
    * Update GUI before showing window, to avoid GUI changes 
      when selection is initialized. [Stef Walter]
    * Allow multiple "Sync and Publish" windows to open. [Stef Walter]
    * Disable input method in password prompt. [Takao Fujiwara]
    * Fix various crashers, and smaller bugs. [Stef Walter]

seahorse 2.25.92
----------------

    * Fix crash when typing in a custom key server URL. [Stef Walter]
    * Searching by key identifiers now shows results. [Stef Walter]
    * Don't crash when loading a PGP key that loads the secret 
      part before the public part. [Stef Walter]
    * Disable interactive tree search in key manager. [Stef Walter]
    * Fix issues with object IDs, crashes and other inconsistencies
      when accessed via DBus. [Adam Schreiber, Stef Walter]
    * Add libcryptui documentation [Adam Schreiber]
    * Reference counting fixes. [Adam Schreiber]
    * Remove use of GTK+ deprecated symbols. [Adam Schreiber, 
      Thomas Anderson]
    * Use proper GTK+ stock item names. [Gabor Kelemen]
    * Translation fixes. [Adam Schreiber, Wouter Bolsterlee]
    * Collapse 'Advanced Options' in PGP key generate dialog 
      by default. [Stef Walter]

seahorse 2.25.91
----------------

    * Display keyring creation dialog properly. [Stef Walter]
    * Prompt before deleting a keyring. [Stef Walter]
    * Refresh after adding a keyring. [Stef Walter]
    * Translation and doc fixes. [Adam Schreiber]
    * Build PKCS#11 support properly. [Stef Walter]
    * 64-bit fixes [Joe Marcus Clarke, Scott McVittie]
    * Only autostart seahorse-daemon when key sharing is 
      enabled. [Adam Schreiber]
    * seahorse-daemon no longer times out login of 
      session. [Adam Schreiber]
    * Fix libcryptui regressions. [Stef Walter]
    * Remove explicit line breaks from glade files. [Gabor Kelemen]
    * Build fixes

seahorse 2.25.90
----------------

    * Removed libtasn1 dependency [Stef Walter]
    * Additional refactoring [Stef Walter]
    * seahorse-daemon registers with session manager properly [Adam Schreiber]
    * gtk-doc for libcryptui [Adam Schreiber]
    * Remove bits of libcryptui	that are now handled by the gcr library
    from gnome-keyring. [Stef Walter]
    
    Translations
    * es.po: [Jorge Gonzalez]
    * sv.po: [Daniel Nylander]
    * nb.po: [Kjartan Maraas]
    * ko.po: [Changwoo Ryu]
    * pt_BR.po: [Henrique P. Machado]

seahorse 2.25.4
---------------

    * Fix crash when uploading ssh keys [Jeff Cai]
    * Code update for gp11 library changes [Stef Walter]
    * Require gnome-keyring 2.25.4

    Translations
    * es.po [Jorge Gonzalez]

seahorse 2.25.3
---------------

    * Massive refactoring [Stef Walters]
    * Use g_timeout_add_seconds instead of g_timeout_add [Debarshi Ray]
    * Fix display of expiry date time. [Adam Schreiber]
    * Autostart seahorse-daemon [F. Steinel]
    * Various fixes [Jeff Cai]
    * Fix connecting to ssh servers not on port 22 [Adam Schreiber]
    
    Translations
    * pt_BR.po [Leonardo Ferreira Fontenelle]
    * es.po [Jorge Gonzalez]
    * cs.po [Petr Kovar]
    
seahorse 2.25.1
---------------

    * Clean up GLib and GTK+ includes (GNOME Goal) [Adam Schreiber]
    * Clean up errors in declaration of signal handlers. [Adam Schreiber]
    
    Translations
    * ar [Usama Akkad]
    * el [Nick Agianniotis]
    * pt_BR [Leonardo Ferreira Fontenelle]

seahorse 2.24.1
---------------

    * Fix problems with seahorse crashing when searching for 
      remote keys. [Adam Schreiber]
    * Build fixes on Solaris [Jeff Cai]
    * Fix selection of keys in libcryptui. [Philip Withnall]
    * I18n fixes. [Adam Schreiber]

seahorse 2.24.0
---------------

    * Some tweaks to the password prompt window, including allowing 
      minimizing to release the keyboard grab.
    * Fix compiler warnings for gcc 4.3. 
    * Return a 'cancelled' error when from the daemon crypto dbus 
      methods when a user cancels out of a password prompt.
    * Show revoked subkeys properly in details view of PGP keys.
    * Fix problem deleting SSH keys.
    * Fix dialog prompt column widths, and elipsize long text in 
      key listing. [Adam Schreiber]
    * Fix problem with 'no keys available' when trying to sign a 
      PGP key from within the key manager.
    * Add 'exportable' flag to objects/keys and don't enable export 
      UI if selected objects are not exportable.
    * Build fixes [Joe Orton, Adam Schreiber]
    * Crash and other fixes. [Christian Persch]

seahorse 2.23.92
----------------

    * Fix crash when changing a stored Gnome Keyring password.
    * Fix certain crashes on syncing, searching and other operations.
    * Fix dumb 'Couldn't import keys' error message when success.
    
seahorse 2.23.91
----------------

    * Fix copying keys to the clipboard. [Adam Schreiber]
    * Fix double free crash when importing keys.
    * Fix crasher when deleting a key. 
    * Don't add extra null bytes to SSH authorized_keys and 
      similar files. [Adam Schreiber]
    * Documentation fixes. [Adam Schreiber]
    * Don't repeatedly load gnome-keyring items. [Adam Schreiber]
    * Make help button in 'First Time Options' work proprely. [Adam Schreiber]
    * Better wording for options in PGP key dialogs. [Adam Schreiber]

seahorse 2.23.90
----------------

    * Icon makeover. [Michael Monreal]

seahorse 2.23.6
---------------

    * Initial PKCS#11 certificate listing implementation.
    * Internal code refactoring.
    * Fix problems with reference counting on operations.
    * Use base64 functions in glib, rather than rolling our own.
    * Don't use deprecated LDAP functions. [Adam Schreiber]
    * String operation fixes. [Adam Schreiber]
    * Build fixes [Jeff Cai]

seahorse 2.23.5
---------------

    * Fix importing keys from key servers [Mackenzie Morgan]
    * Factor out seahorse-plugins to a different module.
    * Add XDS drag and drop support. 
    * Remove gnome-vfs dependency and use gio instead.
    * Return key id of signer from DBus service even when key
      is not found locally [Adam Schreiber]
    * Refactor UI code internally into modules. 
    * Remove hard GPG and GPGME dependency.
    * Replace signer drop down in key chooser with just a check 
      button when only one secret key exists. [Adam Schreiber]
    * Set sync button insensitive when no server is selected. 
      [Adam Schreiber]
    * Test for secure memory before using it. [Coleman Kane]
    * Change trust model used to match GPG's. [Adam Schreiber]
    * Remove libgnome and libgnomeui dependencies. [Saleem Abdulrasool]
    * Grab keyboard focus when prompting for password. 
      [Josselin Mouette]
    * Use the vala programming language for some code.
    * Add initial infrastructure for PKCS#11 key/certificate support.
    * Save and load window sizes from gconf. [Adam Schreiber]
    * Build fixes [Brian Cameron, Saleem Abdulrasool, Alexis Ballier, 
      Christian Persch, Rodrigo Moya]

seahorse 2.22.0
---------------

    (no changes)

seahorse 2.21.92
----------------

    * Translation fixes [Adam Schreiber]
    * Update manual [Jasper Lievisse Adriaanse]

seahorse 2.21.91
----------------

    * Adapt to new Epiphany API for 2.21.  People with GNOME 2.20.x or older 
    should not experience build problems. [Adam Schreiber]

seahorse 2.21.90
----------------

    * Remove options that screw with gpg.conf on seahorse-agent startup,
      since this was unsafe and naive.
    * Update libsoup optional dependency to depend on 2.4.x [Dan Winship]
    * Add icon for the gedit plugin [Adam Schreiber]
    * Don't add extra dot to encrypted or compressed files [Kip Warner]
    * Fix build problems with nautilus 2.21.x and later [Wouter Bolsterlee]
    * Install nautilus extension to correct directory [Brian Pepple]
    * Support better dropping of text keys onto main window [Christian Persch] 
    
seahorse 2.21.4
---------------

    * Desktop file fix [JP Rosevear]
    * Add support for managing gnome-keyring item ACLs.
    * Add support for managing gnome-keyring keyrings.~/
    * Better feedback when importing PGP keys from nautilus. [Adam Schreiber]
    * Add UI to show/hide the PGP passphrase cache icon. 

seahorse 2.21.3
---------------

    * Remove SSH proxy since gnome-keyring now has a real SSH agent.
    * Don't hardcode epiphany extensions directory [Josselin Mouette]
    * Use secure memory API from gnome-keyring. 
    * UI and HIG fixes [Adam Schreiber, Christian Persch, Luca Ferretti]
    * Disable automatic key uploading/retrieval by default [Adam Schreiber]

seahorse 2.20.1
---------------

    * Fix selection of archive names when encrypting. [Michael Wolf]
    * Now works with Gedit 2.20 [Gotz Waschk]
    * Other UI and code fixes [Michael Wolf]

seahorse 2.20
-------------
    
    * Make 'Auto Retrieve Keys' option work correctly [Adam Schreiber]
    * Fix build problems.

seahorse 2.19.91
----------------

    * Remove needlessly translated strings [Claude Paroz]
    * Fix agent problems shutting down cleanly. [Dave Jones]
    * Properly escape markup characters in a gnome-keyring item name.
    * Fix supirious assertions when looking through photo ids on a GPG key.
    * Show progress windows in the window list.
    * Hide agent icon. 
    
seahorse 2.19.90
----------------

    * Added documentation for changing gnome-keyring password
      [Milo Casagrande]
    * Add word wrapping to text display in text encryption applet.
      [Adam Schreiber]

seahorse 2.19.5
---------------

    * Add swedish applet documentation [Daniel Nylander]
    * Initialize seahorse-agent properly when only using SSH 
      functionality [Ted Percival]
    * Internationalize SSH password dialog [Gabor Kelemen]
      
seahorse 2.19.4
---------------

    * Added ability to change gnome-keyring master password 
      [Adam Schreiber]
    * Display more details about imported keys [Adam Schreiber]
    * Internationalize notification area properly [Adam Schreiber]
    * Now builds with gpg 2.0.x again [Adam Schreiber]
    * Update man pages [Sebastian Dröge]
    * Easier selection of archive extensions when encrypting 
      multiple files. [Adam Schreiber]
    * Make all dialogs properly transient [Adam Schreiber]
    * Builds with latest epiphany [Sebastian Dröge]
    * Fixed many other bugs [Christian Persch, Adam Schreiber]

seahorse 2.19.2
---------------

    * Adam Schreiber is now a co-maintainer
    * Proper selection of bit length when generating DSA ssh keys.
      [Adam Schreiber]
    * Use GtkComboBox instead of GtkOptionMenu in dialogs 
      [Adam Schreiber]
    * Use a more descriptive 'decrypt failed' error message.
    * Recognize encrypted SSH private keys properly. 
    * Fix problem with internalionalized expiry dates [Adam Schreiber]
    * Translation and install fixes. 

seahorse 1.0.1
--------------
 
    * Fix a crash when deleting keys.
    * Require GTK+ 2.10 without which 1.0 didn't build
    * Use /tmp directory for agent sockets, so that seahorse 
      works for people with home directories on NFS/AFS
    * Fixed importing of private keys from ssh-keygen
    * Fixed checks for memory locking
    * Epiphany plugin now builds with Epiphany 2.18 [Adam Schreiber]
    * Set a default icon for all seahorse windows.
    * Now able to use ports other than '22' when sending an SSH 
      key to another computer.
    * Internationalization fixes [Bjoern Voigt]
    * Handle openssh's authorized_keys file more cleanly
    * Handle spaces in a search text when searching an LDAP server
    * Help now works in 'Search Results' window [Adam Schreiber]
    * Other minor fixes

seahorse 1.0
------------

    * Seahorse requires an install of GPG 1.x
    * Fixed crash when pasting from an empty clipboard into Key 
      Manager window [Adam Schreiber]
    * Put seahorse in appropriate GNOME menu categories [Adam Schreiber]
    * Setup correct enviornment variables for processes started from
      seahorse-agent 
    * Localization fixes [Nickolay V. Shmyrev]
    * Fix building on multiple cores [Gilles Dartiguelongue]

seahorse 0.9.92
---------------

    * Fix crash when using seahorse-agent with GPG2 [Sebastian Dröge]
    * Fix localization problems [Nickolay V. Shmyrev, Adam Schreiber]
    * Fix crash when editing gpg.conf [Saleem Abdulrasool]

seahorse 0.9.91
---------------

    * Agent is now works better with GPG v2. [Alon Bar-Lev]
    * Fix checkbox for showing gnome-keyring item password. 
      [Sertaç Ö. Yıldız]
    * Get secure entry bullet invisible char from GtkEntry.
      [Vitaliy Ischenko]
    * Fix crash in agent during symmetric (ie: password only, 
      no recipients) encryption of a file. 
    * Build fixes due to gnome-doc-utils changes. [Joseph Sacco]
    * Lots of string and message fixes [Adam Schreiber]

seahorse 0.9.10
---------------

    * Add a strike through for revoked, disabled, expired
      keys [Adam Schreiber]
    * Fix problem with not refreshing after adding or 
      deleting keys.
    * No copious polling in the background for daemons.
    * Use GOption for parsing command line arguments 
    * Use GtkStatusIcon from GTK 2.10 [chpe]
    * Fix repeated loading of keys. 
    * Don't show expiry date for remote keys [Adam Schreiber]
    * Rename 'scaleable' pixmaps directory to 'scalable'
    * Fix assertion when no gnome-keyring key ring exists.
    * More documentation updates by <milo_casagrande@yahoo.it>

seahorse 0.9.9
--------------

    * Documentation fixes by <milo_casagrande@yahoo.it>
    * Split Agent and DBus daemon into separate processes.
    * Fix crasher when selecting and filtering keys. 
    * Fix crashes in the agent, and handling of invalid 
      protocol data. 
    * Ability to hide tray icon for cached secrets.
    * Fix crash when typing passwords. 
    * Better configuration for agent, now sets 'use-agent'
      in configuration file.
    * Fix crash when closing window or deleting keys.
    * Add Subkey dialog now works properly.

seahorse 0.9.8
--------------

    * Tons of Manual and Documentation updates by 
      <milo_casagrande@yahoo.it>
    * Work out how seahorse-daemon should be started properly. 
      See: http://live.gnome.org/Seahorse/SessionIntegration
    * GUI fixes:
      * Generate dialogs are now more consistent.
      * Make passphrase prompts more consistent.
      * Hook up help button in SSH generate dialog.
      * Better describe what part of key is being exported.
    * Cleaner SSH proxy initialization.
    * Don't prompt for each public key deleted.
    * Show GPG 'valid' keys on the trusted tab.
    * Fix unneeded syncing error messages.
    * Show all key names properly in recipient selection dialog.
    * Fixed crashers to do with secure memory.
    * Don't set daemon setuid when not needed for secure memory.
    * Fix problems when built without LDAP support.

seahorse 0.9.7 
--------------

    * Use the new gnome-keyring functionality for accessing items 
      without secrets, thus avoiding a waterfall of prompts.
    * Cleanup the key loading code, fixes crashes caused by race 
      conditions.
    * Install helper programs to lib/seahorse instead of libexec
    * Stop using some LDAP deprecated functions.
    * UI/Usability Fixes.

seahorse 0.9.6
--------------

    * Manage gnome-keyring passwords through seahorse.
    * Epiphany encryption plugin [Adam Schreiber, Jean-François Rameau]
    * Don't display duplicated UIDs after double clicking on a key.
    * Displays an error when PGP keys to import are in the future.
    * Added usability suggestions to SSH dialogs [Matthew Paul Thomas, 
      usability@gnome.org]
    * No more 'error: success' dialogs [Adam Schreiber]
    * Fix SSH crasher on X64 systems [Gustavo Carneiro]
    * Better tracking of progress in progress dialog and bar
    * Use GtkStatusbar instead of GnomeAppbar
    * Quick UI review [Alan Horkan]
    * Don't show seahorse context menu items on desktop items like 
      computer or trash [Gilles Dartiguelongue]
    * Fix a bunch of crashers.

seahorse 0.9.5
--------------

    * Builds with GEdit 2.16 [Sebastian Dröge]
    * Export SSH public keys with proper new line at the end.
    * Fix build problem with libcryptui #defines [Adam Schreiber,
      Joseph Sacco]
    * Syncing now works again, and doesn't open an insane 
      amount of parallel connections when syncing lots of keys.
    * Removed some dubious async operation logic that was 
      causing crashes. 
    * Better progress calculations for operations.
    * Add version number to desktop files so bugzilla can 
      figure out the version.

seahorse 0.9.4
--------------

    * UI Cleanup
      - Less 'punctuation' on the main key listing.
      - Clearer and simpler key properties first page.
      - Simplify the encryption preferences dialog
      - Expired, revoked or disabled keys don't show up 
        on the trusted tab.
      - Show validity properly and display per UID
      - Follow keys that move around in the UI due to changes
        to their properties.
    * Fixes for x64 platform [Sebastian Dröge]
    * SSH Keys
      - Create the .ssh directory if it doesn't exist.
      - Allow renaming of SSH keys
    * Passphrase prompt:
      - Close when the ESC key is pressed.
      - Cancel SSH operations when prompt is cancelled.
      - Change invisible char to bullet. [Jose Carlos Garcia Sogo]
    * Fix libcryptui build problems. [Christopher Taylor]
    * Fixes to libcryptui that broke nautilus encryption.
    * Use correct DNS-SD service record. [nafallo@magicalforest.se]
    * Other fixes.

seahorse 0.9.3 
--------------

    * Now manages the authorized_keys file and can add keys 
      to it from the SSH key properties.
    * Added support for importing SSH keys.
    * SSH keys cached in the agent now show up in the 
      'Cached Encryption Keys' window
    * Fix problem with SSH agent messages not being 
      passed on fully by the proxy.
    * More reliable SSH passphrase prompting. 
    * Better UI for SSH passphrases. 
    * Secure password entry box now looks just like a normal
      GTK entry box.
    * When editing the key server list, the selection in the 
      'Publish to' box no longer jumps around.
    * Better compatibility with PGP key servers.
    * Safer munging of gpg.conf
    * Added simpler dialog for generating PGP keys
    * Show the owner trust properly in the PGP key properties 
      dialog [Adam Schreiber].
    * Removed old-style MIME support.
    * Removed old nautilus (< 2.8) extension.
    * HIG fix [chpe]
    * Other fixes.
    
seahorse 0.9.2.1
----------------

    * Fix crasher when importing keys from a key server.
    * Select keys after importing.
    
seahorse 0.9.2
--------------

    * Can cache PGP key passphrases in gnome-keyring
    * Automatically loads SSH keys when needed
    * Can save SSH key passwords in gnome-keyring
    * Automatically retrieves PGP keys from key servers on 
      verification and elsewhere.
    * Sync with key server after key changes [Adam Schreiber]
    * libcryptui now respects user settings.
    * Ignore key server URIs with unsupported schema
    * Make background of tray icons transparent.
    * Don't display expire date for remote keys.
    * Fix problems with seahorse-agent leaving temp directories 
      in ~/.gnome2/
    * Drag and drop support for photo id [Jim Pharis]
    * Better interaction between the GPG agent and multi screen
      displays [Sam Morris]
    * Key server requests now use asynchronous DNS lookups 
    * GUI polish [Adam Schreiber]
    * Added manual pages for tools [Michael Mende]
    * Improvements to the DBUS API.
    * Many crasher and stability fixes

seahorse 0.9.1
--------------

    * New Tango style icons
    * Completely reworked personal key properties dialog 
    * SSH Key Generation
    * Add libcryptui library for standardization of key selection
    * DBUS interface for encryption and key management
    * Gedit plugin now uses DBUS to do it's work
    * Progress dialog while generating keys [Jim Pharis]
    * Automatically resize and convert photos that are added
      to a key.
    * Now uses the GNOME proxy settings when accessing key 
      servers [Adam Schreiber]
    * New UI for signing keys 
    * HIG fixes for dialogs [chpe]
    * Many crasher and stability fixes.
    
seahorse 0.9.0
--------------

    * Simple management of SSH keys
    * Panel applet for clipboard encryption [Adam Schreiber]
    * Better HIG in dialogs [chpe, Jim Pharis]
    * Display keys and key properties in a simpler manner.
    * Uses libnotify to display signature notifications.
    * Key sharing on local network via DNS-SD
    * Better help documentation [Adam Schreiber]
    * Display photo IDs on OpenPGP keys [Adam Schreiber]
    * Tons of other smaller UI enhancements and bug fixes
    
seahorse 0.8
------------

    * Fixed crasher in seahorse-agent when used with GPG 1.4.2 
    * Now works with gedit 2.12 [Mike Gardiner]
    * Many crasher and smaller fixes.

seahorse 0.7.9
--------------

    * Better documentation [Adam Schreiber]
    * Key ring backups not world readable. [Adam Schreiber]
    * Nautilus context menu items cleaned up.
    * Better file association for armor encoded keys.
    * Create agent socket inside users home directory.
    * Clearer status text for key operations.
    * Cleaned up menus with GNOME features like dynamic
      accelerator assignment (using GtkUIManager now).
    * HIG polish and UI fixes. [Jim Pharis]
    * Better command line handling and aded command line 
      help. [Adam Schreiber]
    * Many bug and crasher fixes.
    
seahorse 0.7.8
--------------

    * HKP key server support.
    * Reworked drag-and-drop. Now works between Seahorse windows.
    * Added a dialog for adding key servers simply and correctly.
    * Add option to agent 'Authorize' window to turn off prompting
      for authorization [Adam Schriber]
    * Handle empty passwords properly in agent [Adam Schreiber]
    * Keep agent window on top [Adam Schreiber]
    * Removed libeel dependency.
    * Better keyboard handling in the recipients dialog.
    * Fix some rare gnome-vfs problems. 
    * Many smaller bug fixes.
    
seahorse 0.7.7
--------------

    * Working keyserver sync (including upload) support.
    * Compatibility with GNOME 2.10.
    * Nautilus plugin now works with Nautilus 2.10 [Fernando Herrera]
    * Cleaned up and simplified columns in the Key Manager. 
    * Fix problems with entering expiry dates.
    * Remove 'Text Mode' option. Clarify 'ASCII Armor' option.
    * Removed lots of 'jargon' from the interface. 
    * Can now drag keys from a key list to nautilus.
    * Many smaller bug fixes.
    
seahorse 0.7.6
--------------

    * Compatible with GPG 1.4
    * Initial LDAP key server searching and importing support.
    * Show descriptive icons (eg: secret, public keys) in the main
      Key Manager window. [Adam Schreiber]
    * Monitor key ring and refresh key list automatically across 
      processes, such as gedit plugin, recipient selection etc...
    * Decryption 'Open With' in nautilus for PGP encrypted and 
      signed files. [Adam Schreiber]
    * Added Backup Keyrings functionality. [Adam Schreiber]
    * Prompt for signer when no default key is selected.
    * Display UIDs properly in the seahorse-agent status window.
    * Allow selection of a signing key in the Recipients dialog.
    * More usable HIG friendly Key Properties dialog [Jim Pharis]
    * Fix problems with 0 length files being created on error.
    * Gnome HIG compliancy fixes
    * Allow deletion of UIDs from the Key Manager window.
    * Show all UIDs in the Recipient selection dialog.
    * Prompt before overwriting files.
    * More efficient operations on large files.
    * Enable gedit plugin by default.
    * Many smaller bug fixes.

seahorse 0.7.5
--------------

	* Loading large key rings is now many orders of magnitude faster
	* A simple panel with common tasks shows up in the key manager the 
	  first time a new user starts [Adam Schreiber]
	* Gnome HIG (Human Interface Guidelines) compliancy fixes
	* gedit plugin compiles with GNOME 2.8
	* gedit plugin now works on BSD [Julio M. Merino Vidal]
	* seahorse-agent now works properly on BSD [Julio M. Merino Vidal]
	* disable password caching prefs when using a different agent
	* seahorse-agent restores gpg.conf when exiting 
	* seahorse-agent icon now shows properly in the notification area
	* Properly detect mlock for secure memory usage.
	* Fixed crash when changing expiry date on a subkey
	* Fixed crash when using 'Encrypt To Self' without a default key
	* Default key selection now works properly in edge cases.
	* Updated RPM spec file
	* A multitude of smaller bug fixes
		
seahorse 0.7.4
--------------

	* Key manager now uses new file chooser dialogs
	* For detached signatures, prompt when missing plain text files
	* Import/Export to clipboard implemented as copy/paste
	* Dragging keys into the key manager import 
	* All file operations work with gnome-vfs remote URIs (ie: smb, ftp, http etc...)
	* Proper sort support for key listings
	* Filter support on key manager and recipients windows
	* Multiple file and folder support in nautilus
	* Fixed MIME type integration with nautilus
	* Rework the 'Key Properties' dialog
	* Can now change primary user id, or delete user ids on a secret key
	* Can sign individual user ids on a key
	* Can now list signatures on a key
	* Respects 'Encrypt to Self' option when encrypting files or text
	* Gnome HIG (Human Interface Guidelines) compliancy fixes
	* gedit plugin for encrypting/decrypting/signing/verifying text
    * 'Seahorse Agent' for caching passwords on system
	* Updated to a new version of GPGME (1.0)
	* Fixed startup crashers
	* New Key generation assistant (wizard/druid)
	* A multitude of smaller bug fixes
	
seahorse 0.7.3
--------------

	* More key loading optimizations
	* Import and Export dialogs now use the clipboard instead of a text view
	* Nautilus component that provides a context menu for crypto operations
	* Removed Tools menu in favor of nautilus component
	* PGP gconf schemas in /desktop/pgp
	* Depends on gnome-mime-data for mime types
	* Widgets no longer insensitive during progress operations
	* Key edit dialogs are key modal so operations do not conflict
	* Can do concurrent operations, except for editing the same key
	* Can sign, export, and delete multiple keys
	* Export dialog has a default filename
	* Control center capplet for configuring pgp
	* Can select keys & do operations while keys are loading

seahorse 0.7.2
--------------

	* GConf notification for preferences and ui settings
	* More gnome preferences
	* More listing improvements and optimizations for large key rings
	* Key properties now a property window
	* Owner trust values are restricted based on key type
	* Key manager toolbar preferences
	* General interface updates
	* Nicer passphrase entry dialog
	* Nicer change passphrase dialog
	* More columns available in key-manager, can customize which ones are shown,
	and each column is sortable
	* Main window not completely insensitive during progress and startup
	* Key Properties shows a formatted fingerprint, tabs are scrollable
	* Recipients allows multiple selection, has statusbars to show number selected
	* Can expand and collapse all rows in key-manager

seahorse 0.7.1
--------------
	* Changed File menu to Key menu
	* Added context menu for keys
	* Added buttons/menu items for possible, but not-yet-implemented features
	* Sign an entire key
	* Add a revoker to a key
	* Bug fix when setting Ascii Armor Preferences
	* Removed File Manager, replaced with file operations in Tools
	* Key pairs initially listed first
	* Performance improvements with large key rings, especially in loading preferences
	* Progress display at startup for listing of keys
	* Can delete subkeys of non key-pairs
	* General interface cleanups

seahorse 0.7.0
--------------
	* Add a user ID
	* Add a subkey
	* Delete a subkey
	* Change a subkey's expiration
	* Revoke a subkey
	* Properties shows subkey status (good, revoked, expired)
	* Key Manager shows user IDs instead of subkeys
	* Sort keys by user ID & validity in Key Manager and Recipients
	* Subkeys hidden by default in properties

seahorse 0.6.2
--------------
	* Bug fix in GPGME check
	* Supported languages: cs, de, es, hu, ja, nl, no, sv, tr
	* Interface fixups so buttons are not sensitive when they cannot be used

seahorse 0.6.1
--------------
	* Correctly check for GPGME 0.3.14 and GnuPG 1.2 during build
	* More and updated translations
	* Key manager updates all keys when changed
	* Preferences loads faster
	* More HIG compliant windows & dialogs
	* Failure to install schemas does not stop installation
	* Better about dialog: shows version & lists translators

seahorse 0.6.0
--------------
	* Key properties cleanups
	* Less passphrase crashes
	* Only one window of each type or of each type per key allowed open
	* Less memory leaks
	* Preferences is slower to load, but keeps track of default signer better
	* Updated help manual with figures
	* More translations
	* Migration to GNOME
